GEOS: geos::MultiLineString Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# geos::MultiLineString Class Reference

Basic implementation of MultiLineString objects. More...

`#include <geos.h>`

Inheritance diagram for geos::MultiLineString:

List of all members.

## Public Member Functions
| MultiLineString (vector< Geometry * > *newLines, const GeometryFactory *newFactory)
| Constructs a `MultiLineString`.
int | getDimension () const
| Returns line dimension (1).
int | getBoundaryDimension () const
| Returns Dimension::False if all LineStrings in the collection are closed, 0 otherwise.
Geometry * | getBoundary () const
| Returns a (possibly empty) MultiPoint.
string | getGeometryType () const
| Return a string representation of this Geometry type.
virtual GeometryTypeId | getGeometryTypeId () const
| Return an integer representation of this Geometry type.
bool | isSimple () const
| Returns false if the Geometry not simple.
bool | equalsExact (const Geometry *other, double tolerance) const
| Returns true if the two Geometrys are exactly equal, up to a specified tolerance.

## Detailed Description

Basic implementation of MultiLineString objects.

## Constructor & Destructor Documentation

geos::MultiLineString::MultiLineString | ( | vector< Geometry * > * | newLines,
|  | const GeometryFactory * | factory |
| ) |  |  |

Constructs a `MultiLineString`.

Parameters:

  | newLines | The `LineStrings`s for this `MultiLineString`, or `null` or an empty array to create the empty geometry. Elements may be empty `LineString`s, but not `null`s.

Constructed object will take ownership of the vector and its elements.

Parameters:

  | newFactory | The GeometryFactory used to create this geometry. Caller must keep the factory alive for the life-time of the constructed MultiLineString.

Constructs a `MultiLineString`.

Parameters:

  | newLines | the `LineStrings`s for this `MultiLineString`, or `null` or an empty array to create the empty geometry. Elements may be empty `LineString`s, but not `null`s.

Constructed object will take ownership of the vector and its elements.

The documentation for this class was generated from the following files:

- geom.h
- MultiLineString.cpp